Name:tpm2-openssl
Version: 1.2.0
Release: 6%{?candidate:.%{candidate}}%{?dist}
Summary: Provider for integration of TPM 2.0 to OpenSSL 3.0

License: BSD-3-Clause
URL: https://github.com/tpm2-software/tpm2-openssl
Source0: https://github.com/tpm2-software/%{name}/%{?candidate:archive/refs/tags}%{!?candidate:releases/download}/%{version}%{?candidate:-%{candidate}}/%{name}-%{version}%{?candidate:-%{candidate}}.tar.gz
Source1: https://github.com/tpm2-software/%{name}/%{?candidate:archive/refs/tags}%{!?candidate:releases/download}/%{version}%{?candidate:-%{candidate}}/%{name}-%{version}%{?candidate:-%{candidate}}.tar.gz.asc
Source2: gpgkey-B7201FE8031B07AF11F5423C6329CFCB6BE6FD76.gpg
# Will be included in Source0 after https://github.com/tpm2-software/tpm2-openssl/pull/100
Source3: run-with-simulator

BuildRequires: gnupg2
BuildRequires: gcc
BuildRequires: make
BuildRequires: pkg-config
BuildRequires: autoconf automake libtool autoconf-archive
BuildRequires: tpm2-tss-devel
BuildRequires: openssl-devel >= 3.0.0

# Test dependencies
BuildRequires: dbus-daemon
BuildRequires: iproute
BuildRequires: openssl
BuildRequires: procps-ng
BuildRequires: swtpm
BuildRequires: tpm2-abrmd tpm2-abrmd-selinux
BuildRequires: tpm2-tools

Requires: tpm2-abrmd

%description
Makes the TPM 2.0 accessible via the standard OpenSSL API and command line
tools, adding TPM support to (almost) any OpenSSL 3.0-based application.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -p1 -n %{name}-%{version}%{?candidate:-%{candidate}}

%build
%if "%{?candidate:true}" == "true"
  sed -e '/^git.*$/d' -i bootstrap
  echo "%{version}%{?candidate:-%{candidate}}" > VERSION
  ./bootstrap
%endif
%configure
%{make_build}

%check
cp %{_sourcedir}/run-with-simulator %{_builddir}/%{name}-%{version}%{?candidate:-%{candidate}}/test/
./test/run-with-simulator swtpm skip-build

%install
%make_install

%files
%doc docs
%license LICENSE
%{_libdir}/ossl-modules/tpm2.so

%changelog
* Wed Mar 20 2024 Adrian Freihofer <adrian.freihofer@siemens.com> 1.2.0-6
- test: add missing build dependencies (adrian.freihofer@gmail.com)

* Tue Mar 19 2024 Adrian Freihofer <adrian.freihofer@siemens.com> 1.2.0-5
- test: revert disable tests for now (adrian.freihofer@siemens.com)

* Sun Feb 11 2024 Adrian Freihofer <adrian.freihofer@siemens.com>
- test: disable tests for now (adrian.freihofer@siemens.com)

* Sat Dec 09 2023 Adrian Freihofer <adrian.freihofer@gmail.com> 1.2.0-3
- verify the sources with gpg (adrian.freihofer@gmail.com)
- make check (adrian.freihofer@gmail.com)

* Sun Nov 26 2023 Adrian Freihofer <adrian.freihofer@siemens.com> 1.2.0-2
- description: rephrase (adrian.freihofer@siemens.com)
- license: use correct spdx identifier (adrian.freihofer@siemens.com)

* Mon Nov 13 2023 Adrian Freihofer <adrian.freihofer@gmail.com> 1.2.0-1
- update to 1.2.0 (adrian.freihofer@gmail.com)

* Thu May 04 2023 Adrian Freihofer <adrian.freihofer@gmail.com> 1.2.0-2.rc1
- update to 1.2.0-rc1 (adrian.freihofer@gmail.com)

* Thu May 04 2023 Adrian Freihofer <adrian.freihofer@gmail.com> 1.1.1-1
- new package built with tito

* Mon Nov 21 2022 Traxtopel <traxtopel@gmail.com> - 1.1.1-0
- Initial build.
